
%global meadversion 1.9.3
%global namedversion 1.9.3.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jasypt}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.9.3.redhat-00001

Name:           %{?scl_prefix}jasypt
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JASYPT: Java Simplified Encryption
Group:          Development/Java

%if %with mead
Source100: jasypt-1.9.3.redhat-00001-project-sources.tar.gz
Source102: jasypt-1.9.3.redhat-00001-lite.jar
Source103: jasypt-1.9.3.redhat-00001-sources.jar
Source104: jasypt-1.9.3.redhat-00001.jar
Source105: jasypt-1.9.3.redhat-00001.pom
Source106: jasypt-1.9.3.redhat-00001-javadoc.jar
%endif

License:        ASL 2.0
URL:            http://www.jasypt.org
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Java library which enables encryption in java apps with minimum effort.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jasypt
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jasypt-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jasypt-%{namedversion}.jar %{buildroot}%{_javadir}/jasypt-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jasypt-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jasypt-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jasypt-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jasypt-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jasypt-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jasypt-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jasypt-%{namedversion} -x META-INF/\*
%{__ln_s} jasypt-%{namedversion} %{buildroot}%{_javadocdir}/jasypt
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc BUILD.txt ChangeLog.txt LICENSE.txt NOTICE.txt README.txt RELEASING.txt USAGE.txt
%{_javadir}/jasypt-%{namedversion}.jar
%{_javadir}/jasypt.jar
%if %with javadoc
%{_javadir}/jasypt-%{namedversion}-javadoc.jar
%{_javadir}/jasypt-javadoc.jar
%endif
%{_javadir}/jasypt-%{namedversion}-sources.jar
%{_javadir}/jasypt-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jasypt-%{namedversion}
%{_javadocdir}/jasypt
%endif

%changelog
* Thu Mar 26 2020 Yong Yang <yyang@redhat.com> - 1.9.3-1.redhat_00001.1
- 1.9.3.redhat-00001

* Tue Jul 24 2018 Permaine Cheung <pcheung@redhat.com> - 1.9.2-3.redhat_1.1
- Rewrap

* Fri Jun 22 2018 Yong Yang <yyang@redhat.com> - 1.9.2-2.redhat_1.1
- Rewrap for 7.2.0

* Tue Feb 07 2017 Petr Sakar <psakar@redhat.com> - 1.9.2-1.redhat_1.1
- upgrade to 1.9.2.redhat-1

* Mon Jul 06 2015 David Walluck <dwalluck@redhat.com> - 1.9.1-1.redhat_1.1
- release

